Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mars.mips.hardware
Class InvalidRegisterAccessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              mars.mips.hardware.InvalidRegisterAccessException

All Implemented Interfaces:
  Serializable

    public class InvalidRegisterAccessException

extends Exception

Represents attempt to access double precision register using an odd (e.g. $f1, $f23) register name.

Author:
  Pete Sanderson
See Also:
  Serialized Form

Constructor Summary
`InvalidRegisterAccessException()` Constructor for IllegalRegisterException.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidRegisterAccessException

    public InvalidRegisterAccessException()

  Constructor for IllegalRegisterException.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD